> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bill

> Returns a single Bill for the WMS connection with the associated bill id.



## OpenAPI

````yaml get /wms/billing/{bill_id}
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/billing/{bill_id}:
    get:
      tags:
        - wms
        - Bills
      summary: Get Bill
      description: >-
        Returns a single Bill for the WMS connection with the associated bill
        id.
      operationId: get_wms_get_bill
      parameters:
        - in: path
          name: bill_id
          schema:
            type: string
          required: true
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WmsBillsSingleItemEndpoint'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    WmsBillsSingleItemEndpoint:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/WmsBillApiItemSchema'
      additionalProperties: false
      title: WmsBillsSingleItemEndpoint
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    WmsBillApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the bill.
          example: bill_id_1
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the bill. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        created_date:
          type: string
          format: date-time
          description: The date the bill was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the bill was last updated.
          example: '2022-01-02T05:05:05Z'
        object_id:
          type:
            - string
            - 'null'
          description: The ID of the object that incurred a charge.
          example: object_id
        object_type:
          type:
            - string
            - 'null'
          description: The type of object that incurred a charge.
          example: order
        charge_type:
          type: string
          description: The reason for the charge.
          example: shipping
        amount:
          type: number
          description: The amount charged.
          example: 10.5
        currency_code:
          type: string
          description: The currency of the charge. Defaults to USD.
          example: USD
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - additional_fields
        - amount
        - charge_type
        - created_date
        - currency_code
        - id
        - object_id
        - object_type
        - trackstar_created_date
        - trackstar_updated_date
        - updated_date
        - warehouse_customer_id
      additionalProperties: false
      title: WmsBillApiItemSchema

````